=== Cryptoprocessing by CoinsPaid for Drupal – Cryptocurrency Payment Gatewayateway ===

Works with Drupal: ^8 || ^9 || ^10 || ^11
Tags: coinspaid, payments, commerce, crypto , cryptoprocessing , paybycrypto

Accept 20+ cryptocurrencies and receive settlements in 40+ fiat currencies – fast, secure, and easy crypto payments for your WordPress store.

== Description ==

CryptoProcessing by CoinsPaid is the easiest way to accept cryptocurrency payments in your store. Whether you run a global e-commerce site or a niche product page, CryptoProcessing by CoinsPaid gives your customers the ability to pay in 20+ leading digital currencies – while you receive settlements in over 40 fiat currencies, directly to your bank account or crypto wallet.

Why Choose CryptoProcessing by CoinsPaid?

- Simple Checkout Experience
  Your customers choose crypto at checkout, scan a QR code, and the transaction is complete. No redirects, no additional steps.


- Instant Access to Funds
  CryptoProcessing enables fast deposits and real-time conversions, so your cash flow never stalls.


- Built for Business
  Secure, compliant, and easy to manage from your WordPress dashboard. No crypto experience required.


- Transparent transaction fees
  You only pay per transaction, with fees tailored to your business model. No setup or monthly charges.

- Licensed in Estonia
  We’re officially registered in Estonia, following strict EU rules on security, KYC, and anti-money laundering

### Features

Accept Bitcoin (BTC), Ethereum (ETH), USDC, and 17+ other cryptocurrencies.


Receive settlements in 40+ fiat currencies including EUR, USD, and GBP.


Instantly convert crypto to fiat or hold crypto and stablecoin in your cold wallet.


Real-time fraud monitoring and transaction screening.


Full reporting dashboard with balance tracking, deposits, and statements.


Estonian crypto license.

### Installation Instruction

Note: You’ll need an active merchant account to start accepting crypto payments. If you don’t have one yet, please reach out to our Sales team at sales@cryptoprocessing.com to get set up.

1. Signup& set up your merchant account.
   To use Plugin, you must first operate with CoinsPaid Back Office - [Sign up at CryptoProcessing.com](https://coinspaid.com/?utm_source=drupal&utm_campaign=cms&utm_medium=link&utm_content=)to create your merchant account.
2. Once registered, log in to your CryptoProcessing back office.

*CoinsPaid Backoffice*
1. Go to a merchant's settings and open an Api keys menu.
   Attention! Please note, for your safety, we recommend creating a new merchant to work with the plugins.
2. To create the API Key you need to click on a Generate Api key button, enter the 2FA code and then click on the Generate button.
3. To activate a new API key click on the Activate button.
4. Enter the 2FA code again and click on the Activate button.
   [i]Attention! Please note that the secret key is displayed only once when it is activated. Therefore, it is required to save it for further work.[/i]
5. Go to the merchant settings, then go to the API section and setup the callback URL like:
   {{YOUR_SITE_URL}}/index.php?route=extension/coinspaid/payment/callback

Attention! {{YOUR_SITE_URL}} shall match with an url in the Drupal plugin settings.
{machine_name} - The name Payment gateway, which is displayed next to the name. This is required for updating the operation status in the administrative panel of the Drupal plugin.

*Drupal admin panel*
1. Download the module;
2. Go to Extend;
3. Find the module Coinspaid Commerce Payment Gateway in the list and select the checkbox, next click install at the bottom;
4. After install go to Commerce -> Configuration -> Payment -> Payment gateways and click Add payment gateway;
5. Need to enter Name, Machine name will appear next to it, remember it, you will need it to configure the callback;
6. Enter Display name, insert the secret key in the Secret Key field and the Public key in the Publishable Key field. You can enable or disable Sandbox mode, Logged mode, Time restriction mode. And you need to enable module to be displayed on the checkout page. You can get it in the CoinsPaid BackOffice.

*Drupal Backoffice*
1. Insert the secret key in the Secret Key field and the public key in the Public Key field and save the settings.
2. Accept payments in Bitcoin, Ethereum, USDT and other digital currencies with a leading crypto payment gateway.

Need help? Whether it’s during setup or after launch, reach out to Sales at sales@cryptoprocessing.com or Support at support@cryptoprocessing.com any time.

### About
CryptoProcessing by CoinsPaid is a regulated cryptocurrency payment provider with over 10 years of industry experience. We're licensed in Estonia and Poland, and operate across multiple countries worldwide. Each month, we process more than 800,000 transactions, with a total volume exceeding €700 million.
Our flagship product — a crypto payment gateway — allows businesses to accept over 20 popular digital currencies, including Bitcoin, Ethereum, and stablecoins. We also offer fast, secure settlements straight to merchants’ bank accounts in euros, US dollars, and other fiat currencies. Hundreds of businesses across different sectors use our platform to streamline payments, cut costs, and reach the growing base of crypto users.
In addition to payment processing, we offer a full suite of supporting tools — including a crypto business wallet, an OTC desk, and a hot wallet — designed to make handling crypto payments simple, secure, and efficient.

### Legal notes
For details on the data we collect and how it’s managed, please visit our Privacy policy and AML policy.

### Third Party API & Licence Information

CoinsPaid Website: [https://coinspaid.com/](https://coinspaid.com/)
Cryptoprocessing: [https://cryptoprocessing.com/] (https://cryptoprocessing.com/)
API docs: [https://docs.cryptoprocessing.com/](https://docs.cryptoprocessing.com/)
Privacy policy: [https://coinspaid.com/privacypolicy/](https://coinspaid.com/privacypolicy/)
Term of Use: [https://coinspaid.com/terms-of-use/](https://coinspaid.com/terms-of-use/)

### FAQ
Q: Do I need to be familiar with crypto to use this plugin?
A: Not at all. The plugin is designed for merchants of all backgrounds. You manage payments just like any other payment method – we handle the crypto part for you.
Q: How do I receive my funds?
A: You choose how to receive your earnings – in crypto (cold storage) or fiat (to your bank via SEPA/SWIFT).
Q: How quickly are transactions processed?
A: Most crypto deposits are available almost instantly, especially for account-based coins like USDC or USDT.
Q: Are there any setup or subscription fees?
A: No. Plugin integration is free – you only pay per transaction, with fees capped at 1.5%.
Q: Is this secure?
A: Yes. Transactions are protected with two-factor authentication, real-time fraud detection, and dual-layer transaction monitoring.
Q: What if I need help?
A: Our support team is ready to assist. Just email support@cryptoprocessing.com or contact us through the Widget in your CryptoProcessing back office.
Q: What cryptocurrencies are accepted?
A: We support over 20 leading cryptocurrencies, including Bitcoin, Ethereum, USD Coin, Litecoin, and others. For more information on supported currencies, networks, and conversion pairs, please visit CryptoProcessing Docs.
Q: What fiat currencies can I use in order to withdraw money from my merchant account to my fiat bank account?
A: We currently support withdrawals in EUR and USD.



